Skip to main content

MCP tool: get_workflow_tasks

Retrieves all tasks/activities within a specific workflow execution by its instance ID. This tool provides detailed information about individual workflow steps, their execution status, and results.

Example prompt

Input parameters

Response fields

Below are the fields you may see in each workflow task object in the response:
FieldTypeDescription
idstringThe identifier of the activity of a workflow instance
stepIdentifiernumberThe step identifier of the activity as present in workflow definition
activitystringThe activity of the workflow instance
statusstringThe status of the activity of a workflow instance
inputobjectThe input of the activity of a workflow instance
resultobjectThe result of the activity of a workflow instance
isRetrybooleanIf the activity is a retry
isCompensationbooleanIf the activity is a compensation
executionTimenumberThe execution time of the activity (in seconds)
startedAtstring (ISO8601)The start date of the activity
lastUpdatedAtstring (ISO8601)The last updated date of the activity

Sample response